Bug 113868 - Embedded EMF graphic is incorrect rendered in LOdev6.0.0.0alpha1 but OK in LO4.0.0.1
Summary: Embedded EMF graphic is incorrect rendered in LOdev6.0.0.0alpha1 but OK in LO...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-11-15 21:38 UTC by Joerg
Modified: 2019-04-18 03:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
The_ODT_file_which_is_not_correct_rendered (15.54 KB, application/vnd.oasis.opendocument.text)
2017-11-15 21:39 UTC, Joerg
Details
file_with_embedded_emf_in_LOdev_6.0.0.0.alpha1+_broken_rendering_of_emf.PNG (173.16 KB, image/png)
2017-11-15 21:39 UTC, Joerg
Details
file_with_embedded_emf_in_LO_4.0.0.1_correct_rendering_of_emf.PNG (187.28 KB, image/png)
2017-11-15 21:40 UTC, Joerg
Details
Extracted EMF file (41.59 KB, image/x-wmf)
2018-04-17 20:35 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg 2017-11-15 21:38:40 UTC
Description:
I tried out the attched document with a nightly build of LO6 and the embedded EMF file is not correct rendered. Especially the text in the EMF file is distorted.
If I open the same document in the release build of LO4.0.0.1, the rendering is as expected.

Steps to Reproduce:
Open the attached odt file in LOdev6.0.0.1alpha1+
Open the attached odt file in LO4.0.0.1
Compare the screen rendering

Actual Results:  
Distorted text in the embedded EMF graphic

Expected Results:
Correct rendering of the text in the embedded EMF graphic as in LO4.0.0.1


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Joerg 2017-11-15 21:39:26 UTC
Created attachment 137794 [details]
The_ODT_file_which_is_not_correct_rendered
Comment 2 Joerg 2017-11-15 21:39:58 UTC
Created attachment 137795 [details]
file_with_embedded_emf_in_LOdev_6.0.0.0.alpha1+_broken_rendering_of_emf.PNG
Comment 3 Joerg 2017-11-15 21:40:27 UTC
Created attachment 137796 [details]
file_with_embedded_emf_in_LO_4.0.0.1_correct_rendering_of_emf.PNG
Comment 4 Xisco Faulí 2017-11-15 22:24:34 UTC
this is an old regression... bisecting...
Comment 5 Xisco Faulí 2017-11-15 22:30:47 UTC
Regression introduced by:

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.com>	2014-04-24 16:41:11 (GMT)
committer	Tomaž Vajngerl <tomaz.vajngerl@collabora.com>	2014-04-24 20:51:15 (GMT)
commit	0a1e297ac23ae79ce9d511b4fd6bd0d8276a2e25 (patch)
tree	73c907f9aad90bab01e9bef2943830edfa9c86e0
parent	c2d5b59fc6a3b3fbe20a19282538d5f95fa53301 (diff)
fdo#77089 if font width 0, pass 0 - don't take it from font metric

Bisected with: bibisect-43max

Adding Cc: to Tomaž Vajngerl
Comment 6 Bartosz 2018-04-17 20:35:08 UTC
Created attachment 141431 [details]
Extracted EMF file
Comment 7 QA Administrators 2019-04-18 03:03:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug